
QGIS Application - Feature request #10691

"Merge shapefiles to one": add the options available in the "merge shapes" plugin

2014-06-24 03:46 AM - A mulazzani

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 19088

Description

It would be very usefull to have the possibility to add a field with shapefile filename in the "merge shapefile" vector tool. Tnanks

Related issues:

Related to QGIS Application - Feature request # 7208: replace the "merge shap... Closed 2013-02-21

History

#1 - 2014-06-24 03:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

- OS version deleted (2.2)

what tool do you refer? the one in the vector menu or in the advanced digitizing toolbar?

what is the use case for such request?

#2 - 2014-06-24 04:10 AM - A mulazzani

Yes that one. Basically it would be usefull to give this options to incorporate the plugin "Merge shapes" function (see below), which doesn't work very well

(#8549).

Merge shapes￼

Merge multiple shapes to one

￼￼￼￼

4 voti

23795 downloads

Categoria: Vector 

Etichette: vector,shapes,merge 

Maggiori informazioni: homepage   tracker   code_ repository

Autore: Alexander Bruy

Versione installata: 0.2.0 (in C:\\Users\\amh\\.qgis2\\python\\plugins\\mergeshapes)

Versione disponibile: 0.2.0 (in Repository plugin ufficiale QGIS)

#3 - 2014-06-24 04:14 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to 44
- Subject changed from shapefile merge to "Merge shapefiles to one": add the options available in the "merge shapes" plugin

#4 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-06-29 09:23 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Implemented in master - now both the original layer source and layer name are added as new fields to the merged layer.

#7 - 2017-06-29 12:00 PM - Giovanni Manghi

Hi Nyall,

has the performance of this new implementation be compared with #7208?

the code available in that ticket was/is way faster that the tool we had in QGIS but never considered to replace the QGIS code.
